[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'matrix' (#rtl)

# Tmatrix4_double.init

Initializes the matrix, setting its elements to the values passed to the constructor.

## Declaration

Source position: matrix.pp line 245

`constructor Tmatrix4_double.init(`
`aa: Double;`
`ab: Double;`
`ac: Double;`
`ad: Double;`
`ba: Double;`
`bb: Double;`
`bc: Double;`
`bd: Double;`
`ca: Double;`
`cb: Double;`
`cc: Double;`
`cd: Double;`
`da: Double;`
`db: Double;`
`dc: Double;`
`dd: Double`
`);`

## Description

Initializes the matrix, setting its elements to the values passed to the constructor. The order of the values is left to right, then top to bottom.